repo/proj/guru:dev commit in: dev-embedded/probe-rs-tools/

"AshyPinguin" <[email protected]> Wed, 05 Aug 2026 09:38:36 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785922569.f2933b95cbba9bcdcdf4d57dcdf3c050c10de961.pinguinlars1105+gentoo@gentoo>
commit:     f2933b95cbba9bcdcdf4d57dcdf3c050c10de961
Author:     AshyPinguin <pinguinlars1105+gentoo <AT> gmail <DOT> com>
AuthorDate: Wed Aug  5 09:33:29 2026 +0000
Commit:     AshyPinguin <pinguinlars1105+gentoo <AT> gmail <DOT> com>
CommitDate: Wed Aug  5 09:36:09 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f2933b95

dev-embedded/probe-rs-tools: add 0.32.0

Signed-off-by: AshyPinguin <pinguinlars1105+gentoo <AT> gmail.com>

 dev-embedded/probe-rs-tools/Manifest               |  2 +
 .../probe-rs-tools/probe-rs-tools-0.32.0.ebuild    | 52 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-embedded/probe-rs-tools/Manifest b/dev-embedded/probe-rs-tools/Manifest
index 80209a02cc..00b7e40857 100644
--- a/dev-embedded/probe-rs-tools/Manifest
+++ b/dev-embedded/probe-rs-tools/Manifest
@@ -1,2 +1,4 @@
 DIST probe-rs-tools-0.31.0-crates.tar.xz 35995692 BLAKE2B e837484cf24f3c3bf13b666f127ce396637d178884391fb9dc6459462ad177ab7e2e38bd655f2c43cb7d5fa20eefa1cbc041fbf7d2e79c2c9303a69377ba5c56 SHA512 ba16a75450688aa42edf77bc0beaa0546e74e319b8c409fb8bed6cc867ecee67d0b0ee81ea46c434aefae45c9fb7fbf0cbf0fb6e39623fd57c6aa27a1dc99ae9
 DIST probe-rs-tools-0.31.0.tar.gz 17614102 BLAKE2B 141e7ba9f97e46c96df04fd5f5be7213f239e74a78a541c3b435ad600f688d80bedad5c4fae36f79d1d68edac3180c235d1246517464d5e82db0ab54584787cb SHA512 435939aeda651ed355c3c72273318513133d8152eb7b0a0274568771719c1dbf529a6f0f52e09249e52e82cb892e3cbd9d4f8b0b79973d8d0ee8f83435700c20
+DIST probe-rs-tools-0.32.0-crates.tar.xz 39194280 BLAKE2B ee54cd89c84bb2e2221e9896df89690b3a38a3c6ad9248d01e88d8b4cfe15a9b05334341b1e2f2a6236d8d1a2c0214396ec90cb399d028cf7e24bc304c8bdceb SHA512 8d3cfd2ca38e4188b1fca4645fb917a789a98e12d551460f00622163cd92b8bf7211a1dae71c819d30ae89cb761c1e83fc3302453e70af5dd56a493a42fe70b0
+DIST probe-rs-tools-0.32.0.tar.gz 18801360 BLAKE2B 366464136e708e2eee6b98f2e5de3a9eea3320beef1d4c446da83ba987d8d51d737d7c63cbeea5feb18cc8fb7492939ac2c44acf799026c72c71a7feade4692c SHA512 60db3ce291f0070d1ac3b70d3e5d21bba7ee1ef8b3482f613547270c6cd8e29abaef0451265cc6d87fd602b1a5ee401d7ee13ee7e033a9f66a1fde4cb76ea951

diff --git a/dev-embedded/probe-rs-tools/probe-rs-tools-0.32.0.ebuild b/dev-embedded/probe-rs-tools/probe-rs-tools-0.32.0.ebuild
new file mode 100644
index 0000000000..486d12aabf
--- /dev/null
+++ b/dev-embedded/probe-rs-tools/probe-rs-tools-0.32.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.1
+
+EAPI=8
+RUST_MIN_VER="1.88"
+
+# test crates (needs thumbv7em-none-eabi)
+# CRATES="
+# 	[email protected]
+# 	[email protected]
+# 	[email protected]
+# "
+#
+
+inherit cargo shell-completion
+
+DESCRIPTION="A collection of on chip debugging tools to communicate with microchips"
+HOMEPAGE="https://probe.rs"
+SRC_URI="
+	https://github.com/probe-rs/probe-rs/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://codeberg.org/AshyPinguin/vendor-tarballs/releases/download/${P}/${P}-crates.tar.xz
+	${CARGO_CRATE_URIS}
+"
+
+S="${WORKDIR}/probe-rs-${PV}/probe-rs-tools"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+	0BSD Apache-2.0 BSD-2 BSD CDLA-Permissive-2.0 ISC MIT MPL-2.0
+	Unicode-3.0 Unlicense ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+QA_FLAGS_IGNORED="usr/bin/probe-rs usr/bin/cargo-embed usr/bin/cargo-flash"
+RESTRICT=test #TODO: allow manual testing if it is possible to install a target
+
+src_install() {
+	cargo_src_install
+
+	for i in bash fish zsh; do
+		SHELL="/usr/bin/${i}" "${D}/usr/bin/probe-rs" complete install --manual > "${T}/probe-rs.${i}"
+	done
+
+	newbashcomp "${T}/probe-rs.bash" probe-rs
+	bashcomp_alias probe-rs cargo-embed cargo-flash
+	dofishcomp "${T}/probe-rs.fish"
+	newzshcomp "${T}/probe-rs.zsh" _probe-rs
+}